%global srcname shell-gpt
%global pypiname shell_gpt
%global _description %{summary}.

Name:           %{srcname}
Version:        1.4.4
Release:        %autorelease
Summary:        A command-line productivity tool to query large language models (LLM)

License:        MIT
URL:            https://github.com/TheR1D/shell_gpt
Source:         %{url}/releases/download/%{version}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(pytest)

%description
%{_description}


%prep
%autosetup -p1 -n %{pypiname}-%{version}

# Remove upper version limit on instructor.
sed -i 's/instructor >= 0.4.5, < 1.0.0/instructor >= 0.4.5/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sgpt


%check
export OPENAI_API_KEY=test_api_key
%pyproject_check_import
%pytest -k "not test_shell_repl"


%files -n %{srcname} -f %{pyproject_files}
%{_bindir}/sgpt


%changelog
%autochangelog